package com.redxun.knowledge.album.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件名: AlbumApproverNodeVo
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("流程节点回显(支持专辑审核节点和点评审核节点)")
@Data
public class AlbumApproverNodeVo implements Serializable {

    @ApiModelProperty("主键")
    private String pkId;

    @ApiModelProperty("节点名称")
    private String name;

    @ApiModelProperty("审批人Id")
    private String approverId;

    @ApiModelProperty("审批人姓名")
    private String approverName;

    @ApiModelProperty("是否为终审节点 0 不是 1 是")
    private Integer isFinal;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建人姓名")
    private String createByName;

    @ApiModelProperty("维护人")
    private String maintainer;

    @ApiModelProperty("维护人姓名")
    private String maintainerName;

}
