package com.redxun.knowledge.album.mapper;

import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumYelpApprovalNode;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 业务--专辑点评审核流程节点表数据库访问层
 */
@Mapper
public interface AlbumYelpApprovalNodeMapper extends BaseDao<AlbumYelpApprovalNode> {

    /**
     * 清除原节点数据
     */
    void deleteAll();

    List<AlbumYelpApprovalNode> findAllAlbumApprovalNode(String userId);
}
