package com.redxun.knowledge.analysis.entity.enums;

/**
 * 文件名: AlbumEnum
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public enum DownloadTypeEnum {

    PERSON(1,"员工"),
    ORGANIZED(2,"部门");

    private Integer code;
    private String message;

    DownloadTypeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getMessage(Integer code) {
        DownloadTypeEnum[] albumInfoEnums = values();
        for (DownloadTypeEnum albumInfoEnum : albumInfoEnums) {
            if (albumInfoEnum.code.equals(code)) {
                return albumInfoEnum.message;
            }
        }
        return null;
    }
}