package com.redxun.knowledge.map.entity.handle;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.redxun.knowledge.common.UserService;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * 文件名: MyMetaObjectHandler
 * 作者: Zizg
 * 时间: 2022/11/1
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Component
public class MyMetaObjectHandler implements MetaObjectHandler {

    @Autowired
    private UserService userService;

    @Override
    public void insertFill(MetaObject metaObject) {
        this.setFieldValByName("createBy", userService.queryLoginUser(), metaObject);
        this.setFieldValByName("updateBy", userService.queryLoginUser(), metaObject);
        this.setFieldValByName("isDel", 0, metaObject);
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        this.setFieldValByName("updateBy", userService.queryLoginUser(), metaObject);
    }
}
