package com.redxun.knowledge.service;

import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.datasource.DataSourceContextHolder;
import com.redxun.dto.sys.SysFileDto;
import com.redxun.knowledge.entity.dao.CommonEntity;
import com.redxun.knowledge.entity.dao.FilesEntity;
import com.redxun.knowledge.mapper.CommonMapper;
import com.redxun.knowledge.mapper.FilesMapper;
import org.apache.http.entity.FileEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 文件名: FileServiceImpl
 * 作者: Zizg
 * 时间: 2022/12/15
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Service
public class FileServiceImpl extends SuperServiceImpl<FilesMapper, FilesEntity> implements BaseService<FilesEntity> {

    @Autowired
    private FilesMapper filesMapper;

    @Override
    public BaseDao<FilesEntity> getRepository() {
        return null;
    }

    /**
     * 根据文件id查询文件信息
     */
    public FilesEntity findFilesById(String fileId) {
        DataSourceContextHolder.setDataSource("system");
        FilesEntity filesEntity = filesMapper.selectById(fileId);
        // 调用完成后清除当前数据源
        DataSourceContextHolder.clearDataSource();
        return filesEntity;
    }
}
