package com.redxun.knowledge.album.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 文件名: AlbumApproveFlowVo
 * 作者: Zizg
 * 时间: 2023/2/3
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("知识专辑审批流程Vo")
@Data
public class AlbumApproveFlowVo implements Serializable {

    @ApiModelProperty("专辑版本状态 1-审核中  2-生效中  3-未生效  4-驳回")
    private Integer state;

    @ApiModelProperty("版本状态名称")
    private String stateName;

    @ApiModelProperty("审批流程")
    private List<AlbumApproveVo> flows;
}
