package com.redxun.knowledge.analysis.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件名: SystemLogDto
 * 作者: zizg
 * 时间: 2023/3/17
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("用户浏览估计上报")
@Data
public class SystemLogDto implements Serializable {

    @ApiModelProperty("模块 知识仓库、知识地图、搜索服务、知识专辑、其他")
    private String module;

    @ApiModelProperty("子模块 通用、详情")
    private String subModule;

    @ApiModelProperty("访问人Id")
    private String userId;

    @ApiModelProperty("公司Id")
    private String companyId;

    @ApiModelProperty("页面路径")
    private String page;

    @ApiModelProperty("平台名称")
    private String platform;

    @ApiModelProperty("补充字段")
    private String ussd;
}
