
package com.redxun.knowledge.map.service;


import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.map.entity.dao.MapContent;
import com.redxun.knowledge.map.entity.dao.MapLearning;
import com.redxun.knowledge.map.mapper.MapContentMapper;
import com.redxun.knowledge.map.mapper.MapLearningMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 学习记录
 */
@Service
public class MapLearningServiceImpl extends SuperServiceImpl<MapLearningMapper, MapLearning> implements BaseService<MapLearning> {

    @Resource
    private MapLearningMapper mapLearningMapper;

    @Override
    public BaseDao<MapLearning> getRepository() {
        return mapLearningMapper;
    }

}
