package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.redxun.knowledge.entity.dao.KnowledgeApprovalNodeCategory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 文件名: KnowledgeApprovalNodeCategoryMapper
 * 作者: zizg
 * 时间: 2023/5/6
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Mapper
public interface KnowledgeApprovalNodeCategoryMapper extends BaseMapper<KnowledgeApprovalNodeCategory> {

    void deleteByFlowerId(String pkId);

    /**
     * 查询选过的关联分类id集
     * @param pkId
     * @return
     */
    List<String> findAllCategorySelected(@Param("pkId") String pkId);

}
